<div style="display: flex">
  <div>
    <h2>Liste des véhicules</h2>
    <div *ngIf="vehicleList.length > 0">
      <div *ngFor="let vehicle of vehicleList">
        <p>Marque du véhicule: {{vehicle.brand}}</p>
        <p>Modele du véhicule: {{vehicle.model}}</p>
        <p>Année du véhicule: {{vehicle.year}}</p>
        <p>Immatriculation du véhicule: {{vehicle.plate}}</p>
      </div>
    </div>

  </div>
  <div>
    <form>
      <label>Marque du véhicule</label>
      <input type="text" [(ngModel)]="createdVehicle.brand" [ngModelOptions]="{standalone: true}">
      <label>Modele du véhicule</label>
      <input type="text" [(ngModel)]="createdVehicle.model" [ngModelOptions]="{standalone: true}">
      <label>Annee du véhicule</label>
      <input type="number" [(ngModel)]="createdVehicle.year" [ngModelOptions]="{standalone: true}">
      <label>Immatriculation du véhicule:</label>
      <input type="text" [(ngModel)]="createdVehicle.plate" [ngModelOptions]="{standalone: true}">
      <button type="button" (click)="createVehicle()">Creer le véhicule dans la base</button>

    </form>

  </div>
</div>

